# $Revision: 1.53 $, $Date: 2002/10/19 10:01:18 $
Summary:	XDELTA - version control system
Summary(es):	patch y diff para archivos binarios
Summary(pl):	XDELTA - system kontroli wersji
Summary(pt_BR):	patch e diff para arquivos binrios
Name:		xdelta
Version:	1.1.3
Release:	2
License:	GPL
Group:		Development/Version Control
Source0:	http://prdownloads.sourceforge.net/xdelta/%{name}-%{version}.tar.gz
Patch0:		%{name}-ac_fixes.patch
Patch1:		%{name}-use_sys_getopt.patch
Patch2:		%{name}-am15.patch
Patch3:		%{name}-ac25x.patch
URL:		http://www.XCF.Berkeley.EDU/~jmacd/xdelta.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib-devel >= 1.2.0
BuildRequires:	libtool
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XDelta (X for XCF: the eXperimental Computing Facility at Berkeley) is
a library interface and binary delta generator (like a diff program
for binaries) and an RCS. These changes (deltas) are similar to the
output of the "diff" program in that they may be used to store and
transmit only the changes between files. However, unlike diff, the
output of XDelta is not expressed in a human-readable format--XDelta
can also also apply these deltas to a copy of the original file(s).
XDelta uses a fast, linear algorithm and performs well on both binary
and text files. XDelta typically outperforms GNU diff in both time and
generated-delta-size, even for plain text files. XDelta also includes
a simple implementation of the Rsync algorithm and several advanced
features for implementing RCS-like file-archival with.

The Xdelta library performs its work independently of the actual
format used to encode the file and is intended to be used by various
higher-level programs such as XCF's Project Revision Control System
(PRCS). PRCS is a front end for a version control toolset. Xdelta uses
a binary file delta algorithm to replace the standard diff program
used by RCS.

%description -l es
xdelta es como las rdenes patch y diff, pero tambin funciona con
archivos binarios.

%description -l pl
XDELTA (`X' od XCF) jest bibliotek systemu kontroli wersji tworzona
jako zamiennik RCS. Biblioteka XDELTA wykonuje rne czynnoci
niezalenie od biecego formatu plikw, uywanych do kodowania plikw
baz danych, systemu kontroli wersji i zaprojektowana jest do uywania
w rnych wysoko-poziomowych systemach kontroli wersji jak PRCS.

%description -l pt_BR
xdelta  como os comandos patch e diff, mas tambm funciona com
arquivos binrios.

%package devel
Summary:	XDELTA - header files
Summary(pl):	XDELTA - pliki nagwkowe
Summary(pt_BR):	Arquivos de desenvolvimento xdelta
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
This package contains the XDELTA header files required to develop
XDELTA-based applications.

%description devel -l pl
Pakiet ten zawiera pliki nagwkowe potrzebne przy tworzeniu aplikacji
bazujcych na XDELTA.

%description devel -l pt_BR
Esse pacote contm os arquivos de desenvolvimento do xdelta.

%package static
Summary:	XDELTA - static library
Summary(pl):	XDELTA - biblioteka statyczna
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com xdelta
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
This package contains the XDELTA static libraries.

%description static -l pl
Pakiet ten zawiera bibliotek statyczn XDELTA.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com xdelta.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS READ*
%attr(755,root,root) %{_bindir}/xdelta
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/xdelta-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_aclocaldir}/*
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xdelta.spec,v $
Revision 1.53  2002/10/19 10:01:18  qboosh
- added ac25x patch, added *.la to -devel; release 2

Revision 1.52  2002/10/09 13:14:51  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.51  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.50  2002/05/21 23:15:04  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.49  2002/03/24 23:28:27  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.48  2002/02/23 05:11:00  kloczek
- adapterized.

Revision 1.47  2002/02/22 23:30:03  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.46  2002/01/18 02:15:28  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.45  2001/10/10 18:40:15  qboosh
- s/bierzc/biec/ in pl descriptions

Revision 1.44  2001/09/25 18:33:38  kloczek
- updated to 1.1.3.

Revision 1.43  2001/09/17 12:35:32  qboosh
- removed English "es" translations

Revision 1.42  2001/09/06 16:51:01  kloczek
- release 12,
- spec adapterized,
- added info patch with xdelta info index entry fixes,
- added ac_fixes patch with remove test/Makefile from AC_OUTPUT() and
  remove all manipulation in CFLAGS (for allow non problematic pass
  $RPM_OPT_FLAGS to CFLAGS),
- added info paces to main and aclocal macros to devel,
- run fix-info-dir in %post/%postun,
- merge translations from CNV.

Revision 1.41  2001/09/06 10:51:31  filon
- added aclocal and libtoolize usage

Revision 1.40  2001/06/25 06:45:39  kloczek
- release 5,
- added using %%configure macro.

Revision 1.39  2001/05/03 01:14:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.38  2000/06/09 07:55:16  kloczek
- more %%{__make} macros.

Revision 1.37  2000/06/09 07:24:14  kloczek
- added using %%{__make} macro.

Revision 1.36  2000/05/05 15:06:02  mis
- Group: synced with PLD groups

Revision 1.35  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.34  2000/03/28 16:55:15  baggins
- translated kloczkish into english

Revision 1.33  1999/11/30 19:25:32  kloczek
- release 4,
- new %description.

Revision 1.32  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.31  1999/07/12 23:06:21  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri May 28 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.1.1-2]
- based on spec from RH contrib,
- spec rewrited by PLD team,
- pl translation by Wojtek lusarczyk <wojtek@shadow.eu.org>.
